Skip to main content
GET
/
tiktok
/
niches
cURL
curl -X GET "https://apiv3.creatordb.app/tiktok/niches" \
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": [
    {
      "id": "id_capcut_All",
      "name": "Capcut",
      "category": "All",
      "channelCount": 252193
    },
    {
      "id": "id_palagi_All",
      "name": "Palagi",
      "category": "All",
      "channelCount": 78266
    },
    {
      "id": "id_trending_All",
      "name": "Trending",
      "category": "All",
      "channelCount": 104173
    },
    {
      "id": "id_christmas_All",
      "name": "Christmas",
      "category": "All",
      "channelCount": 132159
    },
    {
      "id": "id_prepare_All",
      "name": "Prepare",
      "category": "All",
      "channelCount": 49884
    },
    {
      "id": "id_humor_All",
      "name": "Humor",
      "category": "All",
      "channelCount": 75487
    },
    {
      "id": "id_trend_All",
      "name": "Trend",
      "category": "All",
      "channelCount": 107639
    },
    {
      "id": "id_funny_All",
      "name": "Funny",
      "category": "All",
      "channelCount": 79880
    },
    {
      "id": "id_comedy_All",
      "name": "Comedy",
      "category": "All",
      "channelCount": 49504
    },
    {
      "id": "id_motivation_All",
      "name": "Motivation",
      "category": "All",
      "channelCount": 41842
    }
  ],
  "traceId": "13b6aee50b7a305432c39a7baf7fe7a2",
  "timestamp": 1772096850140,
  "remainingQuota": 9999,
  "quotaUsed": 1,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Response

TikTok niches data returned successfully.

TikTok Niches API response with all available niches.

data
object[]
required

TikTok niches.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026